[drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid

Bug #712075 reported by Kees Cook on 2011-02-02
226
This bug affects 38 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Andy Whitcroft
Natty
High
Andy Whitcroft

Bug Description

Recently, with .37-12 (.38 is so unstable generally that I can't run it long enough to see if it's a problem there), X will flicker, and I'll see forms of this in dmesg:

[159746.098380] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 85
[159746.098384] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
[159746.098387] <3>00 ff ff ff ff ff ff 00 10 ac 15 f0 4c 36 43 34 ............L6C4
[159746.098389] <3>21 14 01 03 80 34 20 78 ee 1e c5 af ff ff ff ff !....4 x........
[159746.098391] <3>ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ................
[159746.098393] <3>ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ................
[159746.098394] <3>ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ................
[159746.098396] <3>ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ................
[159746.098398] <3>ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ................
[159746.098400] <3>ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ................
[159746.098401]

Sometimes I also see:

[163776.033364] i2c i2c-10: sendbytes: NAK bailout.

And then, about every 2 days, video signal is not restored after one of these flickers, and the monitor stays dark. This is successful:

  sudo get-edid

Swapping cables does not change it. Swapping monitors does not change it. In fact, changing monitors actually triggers the kernel to re-request edid, which fails with each new monitor attached, where as "sudo get-edid" has no problem. So this does not appear to be motherboard, cable, or monitor related. Something in the kernel DRM is breaking and not recovering, as far as I can tell.
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: kees 3969 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xe0420000 irq 43'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,80860000,00100003'
   Controls : 17
   Simple ctrls : 11
DistroRelease: Ubuntu 11.04
Frequency: Once every few days.
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 LC_MESSAGES=en_US.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-2.6.37-12-generic root=/dev/mapper/systemvg-root2lv ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.37-12.26-generic 2.6.37
Regression: Yes
RelatedPackageVersions:
 linux-restricted-modules-2.6.37-12-generic N/A
 linux-backports-modules-2.6.37-12-generic N/A
 linux-firmware 1.46
Reproducible: No
RfKill:

Tags: natty kernel-graphics regression-release needs-upstream-testing
Uname: Linux 2.6.37-12-generic x86_64
UserGroups: adm admin audio cdrom dialout dip floppy fuse libvirtd lpadmin mythtv plugdev sambashare sbuild scanner video
WpaSupplicantLog:

dmi.bios.date: 09/22/2008
dmi.bios.vendor: Intel Corp.
dmi.bios.version: JOQ3510J.86A.0954.2008.0922.2331
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: DQ35JO
dmi.board.vendor: Intel Corporation
dmi.board.version: AAD82085-800
dmi.chassis.type: 3
dmi.modalias: dmi:bvnIntelCorp.:bvrJOQ3510J.86A.0954.2008.0922.2331:bd09/22/2008:svn:pn:pvr:rvnIntelCorporation:rnDQ35JO:rvrAAD82085-800:cvn:ct3:cvr:

apport information

tags: added: apport-collected kernel-graphics natty needs-upstream-testing regression-release
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

Kees Cook (kees) wrote : IwConfig.txt

apport information

Kees Cook (kees) wrote : Lspci.txt

apport information

Kees Cook (kees) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

Kees Cook (kees) wrote : UdevDb.txt

apport information

Kees Cook (kees) wrote : UdevLog.txt

apport information

apport information

Kees Cook (kees) wrote :

on #intel-gfx ickle says that id:<email address hidden> should fix the problem (edid failures no long discard connections). In the meantime, a work-around is to disable hotplug detection:

echo 0 > /sys/module/drm_kms_helper/poll

Bryce Harrington (bryce) wrote :
Changed in linux (Ubuntu):
status: New → In Progress
status: In Progress → Triaged
importance: Undecided → High
milestone: none → natty-alpha-3
Andy Whitcroft (apw) on 2011-02-02
Changed in linux (Ubuntu Natty):
assignee: nobody → Andy Whitcroft (apw)
tags: added: kernel-key
Kees Cook (kees) wrote :

Correction, work-around to disable hotplug is here:

/sys/module/drm_kms_helper/parameters/poll

Andy Whitcroft (apw) wrote :

Ok I have pulled in the upstream fix into the Natty kernel and built some kernels. Could those of you affected by this issue try the Natty kernels at the URL below:

    http://people.canonical.com/~apw/lp712075-natty/

Please test and report back here. Thanks.

Changed in linux (Ubuntu Natty):
status: Triaged → Incomplete
Kees Cook (kees) wrote :

So far, so good. I'm still seeing the warnings in dmesg, but there has not been any screen flickers, so the patch seems to be working.

Changed in linux (Ubuntu Natty):
status: Incomplete → In Progress
Kees Cook (kees) wrote :

Urgh, 24 hours later my monitor vanished again. So, no, this patch isn't sufficient. Note that I think the patch was a bandaid and doesn't really address what started causing the EDID fetching routine to fail repeatedly. I've rebooted with the probing disabled again. :(

Andy Whitcroft (apw) wrote :

Ok so this is a partial fix. The fix does what it claims and prevents the flickering on read failure. We however have a deeper issue in that we still lose the connector. Thanks for testing.

Martin Pitt (pitti) wrote :

Too late for alpha-3, and it doesn't block the alpha-3 release.

Changed in linux (Ubuntu Natty):
milestone: natty-alpha-3 → ubuntu-11.04-beta-1
useResa (rdrijsen) wrote :

I am having the same error, both in my Ubuntu 10.10 as well in my Ubuntu 11.04 installation.
However, I do not so much have the "flickering" that is indicated. I am faced with a screen resolution that is stuck on 1024x768.
On release 10.10 I was able to retrieve my original screen resolution (1440x900) by creating an xorg.conf file based on the version that is created by "X -configure". Doing the same "trick" with 11.04 resulted in a blank screen. I will attach the xorg.conf I am using for 10.10 as info.

This is on a Dell Dimension 2400 with an Intel graphics card:
00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)
The monitor I have is an "AG neovo K-A19".

The kernel versions I am running are:
For 10.10: 2.6.35-27-generic
For 11.04: 2.6.38-5-generic

The versions of xserver-xorg-video-intel I am running are:
For 10.10: 2:2.12.0-1ubuntu5.2
For 11.04: 2:2.14.0-4ubuntu1

I will attach the output of dmesg for both releases for information.
The OP indicates that "sudo get-edid" works for him. For me the command (on both releases) provides feedback but indicates it it unreliable. The result of the command is identical on both releases:

get-edid: get-edid version 2.0.0

 Performing real mode VBE call
 Interrupt 0x10 ax=0x4f00 bx=0x0 cx=0x0
 Function supported
 Call successful

 VBE version 300
 VBE string at 0x2110 "Intel(r)845G/845GL/845GE/845GV Graphics Chip Accelerated VGA BIOS"

VBE/DDC service about to be called
 Report DDC capabilities

 Performing real mode VBE call
 Interrupt 0x10 ax=0x4f15 bx=0x0 cx=0x0
 Function supported
 Call successful

 Monitor and video card combination does not support DDC1 transfers
 Monitor and video card combination supports DDC2 transfers
 0 seconds per 128 byte EDID block transfer
 Screen is not blanked during DDC transfer

Reading next EDID block

VBE/DDC service about to be called
 Read EDID

 Performing real mode VBE call
 Interrupt 0x10 ax=0x4f15 bx=0x1 cx=0x0
 Function supported
 Call failed

The EDID data should not be trusted as the VBE call failed
@�����#��.h(x/Ӑ�YJ�$PT�����@qO��5��Q�*0`�6��
�00726
       �2L
R
      �K-A19

If additional input is required, please let me know.

useResa (rdrijsen) wrote :
useResa (rdrijsen) wrote :

confirming the problem for 10.10, starting about 2010-03-11
- screen resolution is 1024x768 instead of formerly autodetected 1280x1024
- dmesg shows these errors: *ERROR* EDID checksum is invalid

s/2010-03-11/2011-03-11/

Andy Whitcroft (apw) wrote :

@Kees -- can you confirm if this issue is still present with the v2.6.38 final kernel now uploaded to Natty. Please report back here. Thanks!

I recently installed natty and upgraded today, and I also have this bug. The screen flickers from time-to-time and the EDID dumps appear in the logs.

useResa (rdrijsen) wrote :

I upgrade to the new kernel 2.6.38-7-generic and also for me the issue is still there.
Attached the dmesg with the new kernel.

Changed in linux (Ubuntu Natty):
milestone: ubuntu-11.04-beta-1 → ubuntu-11.04-beta-2
Seth Forshee (sforshee) wrote :

@Ernst: You're saying that you saw the behavior regress in maverick when you did updates, correct? You don't happen to know the kernel versions before and after the update, do you?

Suspiciously, there's a patch dealing specifically with EDID handling on Intel graphics that would have first gone out in maverick in that general time frame. It's was first released upstream in 2.6.37-rc8.

commit 2c78465d1734bc8c8263aa332ee301ac740f74bc
Author: David Flynn <email address hidden>
Date: Wed Dec 8 16:10:21 2010 +0000

    drm/i915/dp: Fix I2C/EDID handling with active DisplayPort to DVI converter

Seth Forshee (sforshee) wrote :

I put together kernel builds for natty with that patch reverted so we can see if it is behind these issues. They are available at:

  http://people.canonical.com/~sforshee/lp712075-natty/

Please test and report the results here. Thanks!

Changed in linux (Ubuntu Natty):
milestone: ubuntu-11.04-beta-2 → natty-updates
gtdaqua (gtdaquitaine) wrote :

Apr 18, 2011, 07:40 GMT

Ubuntu 32-bit 11.04 beta 2 with latest updates.

Never experienced flickering since updating to Natty (2 weeks ago), but the max resolution 1024x768 but the Acer AL1702w monitor can do 1440x900. Video Card is a built-in Intel G915 on a Core2Duo Processor. Had no problems with Ubuntu 10.10.

dmesg spits a lot of EDID invalid checksum kind of errors.

[code]
dmesg | grep -i acer -B 2 -A 2

[ 8630.110244] <3>30 38 30 32 39 34 32 30 30 0a 00 00 00 fd 00 37 080294200......7
[ 8630.110245] <3>4b 1e 53 0e 00 0a 20 20 20 20 20 20 00 00 00 5b K.S... ...[
[ 8630.110247] <3>00 41 63 65 72 20 41 4c 31 37 30 32 57 0a 00 f0 .Acer AL1702W...
[ 8630.110249]
[ 8630.110252] i915 0000:00:02.0: VGA-1: EDID block 0 invalid.

dmesg | grep -i edid

[ 8630.110230] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 251
[ 8630.110232] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
[ 8630.110252] i915 0000:00:02.0: VGA-1: EDID block 0 invalid.
[/code]

Changed xorg.conf several times following several tweaks - but no good.

Seth Forshee (sforshee) wrote :

@gtdaqua:

Would you be able to test using the kernel packages I linked to in comment #37 and report the results back here? Thanks!

gtdaqua (gtdaquitaine) wrote :

@Seth:

Thanks for your help.

Downloaded the following files and did a dpkg -i:

linux-headers-2.6.38-8-generic_2.6.38-8.42~lp712075v201104151608_i386.deb
linux-headers-2.6.38-8_2.6.38-8.42~lp712075v201104151608_all.deb
linux-image-2.6.38-8-generic_2.6.38-8.42~lp712075v201104151608_i386.deb

Restarted and still no change! Max resolution listed is still 1024x768 and Monitor is still "Unkown".

dmesg spits this:

[ 163.251914] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 218

Seth Forshee (sforshee) wrote :

@gtdaqua, thanks for testing!

I guess it was just coincidental then that this patch went in about the same time this problem showed up on maverick.

gtdaqua (gtdaquitaine) wrote :

So, is there a status update on this? 8 more days for Final Release and the display is broken!

On Wed, Apr 20, 2011 at 03:31:17AM -0000, gtdaqua wrote:
> So, is there a status update on this? 8 more days for Final Release and
> the display is broken!

No one has been able to identify the root cause of this, but adding the
following line to /etc/rc.local works around it for me:

# Disable monitor hotplug polling (https://launchpad.net/bugs/712075)
echo 0 > /sys/module/drm_kms_helper/parameters/poll

--
Kees Cook
Ubuntu Security Team

gtdaqua (gtdaquitaine) wrote :

> No one has been able to identify the root cause of this, but adding the
> following line to /etc/rc.local works around it for me:

> # Disable monitor hotplug polling (https://launchpad.net/bugs/712075)
> echo 0 > /sys/module/drm_kms_helper/parameters/poll

No good. No change. Monitor is still "Unknown".

Seth Forshee (sforshee) wrote :

@gtdaqua: Do you get the "NAK bailout" messages in your dmesg? There may be more than one root cause to the EDID checksum failures, because I don't see that in some logs attached here.

@Kees (and others), if gtdaqua isn't seeing those messages it might be worth testing the build I made if you get a chance.

gtdaqua (gtdaquitaine) wrote :

Extremely Sorry abt the delay! I typed this comment and restarted before posting it!! :(
@Seth:

"dmesg | grep -i NAK"

returns nothing

"dmesg | grep -i bail"

returns nothing as well.

gtdaqua (gtdaquitaine) wrote :

Solved!!!!! Solved!!!!

After getting frustrated with this big display, I hot-plugged to a Dell 17" 1280x960 monitor and noticed noting changed except Monitor was correctly detected as "Dell 17". Then, I restarted, still no change in resolution - stuck in 1024x768.

And I did old the trick - removed xorg.conf file (renamed it actually) and see if Ubuntu can auto-generate a new one with correct resolution and voila! It did! I got the proper 1280x960 and "Dell 17".

But I found no xorg.conf was auto-generated by Ubuntu. So, shutdown and plugged back my Acer 1440x900 and turned it on. Now am on the correct resolution. Still, no xorg.conf file in /etc/X11/.

NO EDID ERRORS in dmesg!!!!

Am happy now. Silly, I didnt try the old trick. But I did during the initial testing stages (beta releases).

Matus Harvan (mharvan29) wrote :

For my external Dell display I'm also stuck with 1024x768. As a work-around, the script below forces the 1600x1200 resolution. I have put the script in ~/.kde/Autostart/xres_fix.sh and done chmod +x ~/.kde/Autostart/xres_fix.sh to make it execute after KDE starts. I guess it could be executed also earlier if put into the right .Xsomething file.

------------------------------------------
#!/bin/sh
# add 1600x1200 resolution for VGA1

# generate modeline with
# cvt 1600 1200 60

# modify resolution only if VGA1 is connected
if xrandr | grep -q "VGA1 connected"
then
    xrandr --newmode 1600x1200 161.00 1600 1712 1880 2160 1200 1203 1207 1245 -hsync +vsync
    xrandr --addmode VGA1 1600x1200
    xrandr --output VGA1 --mode 1600x1200
fi
------------------------------------------

gtdaqua (gtdaquitaine) wrote :

An update:

I found a strange thing happening today. The Acer 17" monitor went back to 1024x768; No xorg.conf. Monitor "Unknown"; Back yo Square 1.

I connected a different Acer 17" and it was detected instantly and got back the 1440x900. The old Acer 17" would never get detected. The 2 other replacement were detected straight-away. So, I guess my old monitor was indeed having a problem of its own.

This Bug affects me. I'm using a Samsung SF510 ("shark design") notebook with i915 kernel module and am connecting an Acer AL2216W 1680x1050 flat-screen Monitor via HDMI, using a hdmi-to-dvi-d cable, randr output: "HDMI1".

Today this happened for the second or third time. I think it is triggered by the activation of the screensaver. The laptop lid was closed and randr output "LVDS1" manually turned off, and "HDMI1" in default mode whenever the problem occured. Today was especially annoying because it took me quiet a long time to make the external monitor useable again. even after powering the monitor and laptop off, the problem (edid checksum error in dmesg output, monitor "disconnected" in xrandr output) persisted. I then powered off both devices and disconnected them from the power supply for ~1 minute. This finally helped.

I now extracted both edid bit-strings, the one reported by the kernel to have a bad checksum, as well as the one reported by "xrandr --verbose" now, which is ok, and analyzed the differences. It turns out to be only one byte:

byte 119 (0x77) reads 0x90 instead of 0x34

i have no idea why !?

$ cat edid
00 ff ff ff ff ff ff 00 04 72 74 ad 9c 04 70 64
2f 10 01 03 e8 2f 1e 78 2e c5 85 a4 59 49 9a 24
12 50 54 bf ef 00 81 80 81 40 71 4f 95 00 95 0f
b3 00 81 c0 8b c0 21 39 90 30 62 1a 27 40 68 b0
36 00 d9 28 11 00 00 1c 00 00 00 fd 00 38 4c 1e
52 10 00 0a 20 20 20 20 20 20 00 00 00 fc 00 41
63 65 72 20 41 4c 32 32 31 36 57 0a 00 00 00 ff
00 4c 37 34 30 39 30 34 36 33 38 32 30 20 00 f7

$ diff edid bad-edid
8c8
< 00 4c 37 34 30 39 30 34 36 33 38 32 30 20 00 f7
---
> 00 4c 37 34 30 39 30 90 36 33 38 32 30 20 00 f7

maybe it could be ignored for now and the display "connected" in the driver anyway? is there a way to forcibly "connect" it ? (i.e. make it useable by x)

Sikkepitje (p-wiegmans) wrote :
Download full text (3.9 KiB)

I had exactly the same problem. The solution that worked for me follows.

THE PROBLEM :
The symptoms:
* the screen flashed every 10 seconds.
* X won't run in a resolution higher than 1024x768 , while it used to run at 1280x1024.
* missing virtual terminals under ctrl-F1 t/m ctrl-F6 keys. There isn't just anything to see.
It looks like the monitor isn't receiving the right timing signals.
* Every 10 seconds syslog receives many times error messages like this:

Jun 16 17:51:27 titan kernel: [ 2082.185618] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 128
Jun 16 17:51:27 titan kernel: [ 2082.185627] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
Jun 16 17:51:27 titan kernel: [ 2082.185635] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.185641] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.185647] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.185652] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.185658] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.185663] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.185669] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.185675] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.185679]
Jun 16 17:51:27 titan kernel: [ 2082.284563] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 128
Jun 16 17:51:27 titan kernel: [ 2082.284572] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
Jun 16 17:51:27 titan kernel: [ 2082.284579] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.284585] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.284590] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.284596] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.284602] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.284607] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.284613] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.284618] <3>35 30 36 31 35 30 36 31 35 30 36 31 35 30 36 31 5061506150615061
Jun 16 17:51:27 titan kernel: [ 2082.284623]

I tweaked the Xorg.conf and tried many things, until I got nothing visible at all. Then I needed to reboot into rescue mode, and still got 1024x768 video and no virtual terminals. I tried understanding where the script in #48 could help me and got completely lost.

THE SOLUTION : After reading message #49, I halted the computer, switched off the monitor and I disconnected the power cable...

Read more...

useResa (rdrijsen) wrote :

I have tried the solution as described by sikkepitje in comment #52 however .... unfortunately it did not resolve my issue.
I am still getting the EDID invalid checksum errors.

My hardware is the same as indicated in comment #27 however at the moment I am running oneiric with the 3.0-1-generic kernel.

icfri (yl) wrote :

I have Samsung Syncmaster 204Ts which worked fine with Ubuntu 10.04 using DVI connection. Since 10.10 the screen is blank with DVI connection and I get invalid EDID errors constantly.

Combining two solutions below I was able to get DVI working again:

#1: http://lists.freedesktop.org/archives/dri-devel/2011-January/006778.html (kernel patch + adding to kernel command line: "drm.edid_strict=0"). This change never got into official kernel (see the thread above).

#2: Disabling polling (message #43) with: echo 0 > /sys/module/drm_kms_helper/parameters/poll

With #1 I got DVI to work again, but I still got EDID errors every 10 s in log files. With #2 those EDID errors diapperead too.

I have to keep patching (if using this monitor) until this is solved somehow in the kernel.

Stan Simmons (esanel) on 2011-07-06
Changed in linux (Ubuntu):
status: In Progress → Opinion
status: Opinion → In Progress

Both of my Viewsonic VE710 monitors seem to produce invalid EDIDs leaving me stuck with 1024x768. The suggestion in #48 (appropriately modified) allowed me to finally get to 1280x1024, but the 11.04 Unity desktop is confused as it partly uses the old resolution. It is not clear to me where to put this script so that Unity can incorporate the higher resolution. I would really like an "IgnoreEDID" option for the Intel driver.

J.S Geffroy (js-geffroy) wrote :

Same issue with a Philips 220WS8FB and a DELL optiplex 755 Intel GMA.
Resolution max is 1024x768.
I tried 2.6.38-8 but no change.

I have launch lubuntu from a usb hard drive and I was able to go up to 1360x768, I will check the kernel version.
My specific setup is a DVI convertor at the back of the DELL going to a KVM but if some distro are able to show higher res, ubuntu shall be able to.
Also tried Kubuntu 11.04 but same 1024x768 limit

J.S Geffroy (js-geffroy) wrote :

Was 2.6.35-23 on lubuntu that let me go to 1360x768

The attachment "drm-Never-change-the-connector-status-to-unknown-whilst-polling.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Greg Edwards (gedwards) wrote :

I see this same issue in 11.10 with the Intel GM45 chipset and a docking station.

Screensaver kicks in and turns off the monitor and it never comes back. I have to switch to a VT and restart lightdm. I see the drm:drm_edid_block_valid error in dmesg.

The 'echo 0 > /sys/module/drm_kms_helper/parameters/poll' workaround resolves the issue.

Mark Haney (mark-haney) wrote :

I'm having this problem as well. It seems to almost be confined to the i915 chipset. I began noticing the error when I first installed ubuntu a few weeks ago. It didn't affect the performance at all, just a warning I saw on shutdown. This was on 3.0.12-generic (I can give you more specifics if I can get to my server which is at home and internet is down.). Same thing for 3.0.13-generic. Works, but there's that same error message.

When I updated to the latest ubuntu kernel (3.0.15-generic) I get the exact same errors and my system seems to keep restarting X. I have no available shells on Alt-F1, etc, just repeated error message that seems to peg the CPU. When the system did finally get stable (after 5 minutes or so) it was so sluggish as to be unusable. The CPU was probably pegged, but with no shell access I can't say for certain.

HTH. I'll provide more if needed. I'll try the echo command and see if it helps tonight.

tags: added: oneiric precise
m1fcj (hakan-koseoglu) wrote :

Oeniric Precise error appears, very unstable X and DVI1 disappears all the time, KDE won't rememer saved output etc. but the real kicker is the weird things happening to X11.

[17328.593013] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 74
[17328.593018] Raw EDID:
[17328.593021] 00 ff ff ff ff ff ff 00 04 72 89 02 41 18 41 20
[17328.593024] 04 16 01 03 80 35 1e 78 ca bb 04 a1 59 55 9e 28
[17328.593026] 0d 50 54 bf ef 80 71 4f 81 40 83 ff ff ff ff ff
[17328.593028] ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[17328.593031] ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[17328.593033] ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[17328.593035] ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[17328.593037] ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff

0:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

root@photon:~# get-edid
get-edid: get-edid version 2.0.0

        Performing real mode VBE call
        Interrupt 0x10 ax=0x4f00 bx=0x0 cx=0x0
        Function supported
        Call successful

        VBE version 300
        VBE string at 0x11100 "Intel(r) 82945GM Chipset Family Graphics Chip Accelerated VGA BIOS"

VBE/DDC service about to be called
        Report DDC capabilities

        Performing real mode VBE call
        Interrupt 0x10 ax=0x4f15 bx=0x0 cx=0x0
        Function supported
        Call successful

        Monitor and video card combination does not support DDC1 transfers
        Monitor and video card combination supports DDC2 transfers
        0 seconds per 128 byte EDID block transfer
        Screen is not blanked during DDC transfer

Reading next EDID block

VBE/DDC service about to be called
        Read EDID

        Performing real mode VBE call
        Interrupt 0x10 ax=0x4f15 bx=0x1 cx=0x0
        Function supported
        Call successful

PT���qO�@��������:�▒q8-@X,E+!�8LS
      �S240HL
      �LU50D0068534

tags: removed: kernel-key

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: In Progress → Won't Fix
Jian Meng (jianmeng) wrote :

This Bug affects me. I use viewsonic LCD:
Jan 8 21:03:44 DreamDean kernel: [ 72.399008] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 6
Jan 8 21:03:44 DreamDean kernel: [ 72.399010] Raw EDID:
Jan 8 21:03:44 DreamDean kernel: [ 72.399011] 00 ff ff ff ff ff ff 00 5a 63 28 5d 01 01 01 01
Jan 8 21:03:44 DreamDean kernel: [ 72.399013] 31 14 01 03 80 34 1d 78 2e f9 15 a4 56 4f 9d 27
Jan 8 21:03:44 DreamDean kernel: [ 72.399014] 11 50 54 2d ef 80 b3 00 a9 40 a9 c0 95 00 90 40
Jan 8 21:03:44 DreamDean kernel: [ 72.399016] 81 80 81 40 01 01 02 3a 80 18 71 38 2d 40 58 2c
Jan 8 21:03:44 DreamDean kernel: [ 72.399017] 45 00 09 25 21 00 00 1e 00 00 00 ff 00 53 46 4e
Jan 8 21:03:44 DreamDean kernel: [ 72.399019] 31 30 34 39 30 30 32 35 36 20 00 06 00 fd 00 32
Jan 8 21:03:44 DreamDean kernel: [ 72.399020] 4b 1e 50 15 00 0a 20 20 20 20 20 20 00 00 00 fc
Jan 8 21:03:44 DreamDean kernel: [ 72.399022] 00 56 41 32 34 30 35 2d 4c 45 44 0a 20 20 00 04

Benji (benjim) wrote :

Have you tried to upgrade the kernel to > 3.5.?
Since 3.5. the bug should not appear anymore.

dino99 (9d9) wrote :
Changed in linux (Ubuntu Natty):
status: In Progress → Invalid
Narcis Garcia (narcisgarcia) wrote :
Download full text (72.5 KiB)

# Ubuntu GNOME 14.04 (updated today) on Samsung N150 PLus (model NP-N150)

$ sudo lshw -short

H/W path Device Class Description
=================================================
                          system N150P/N210P/N220P ()
/0 bus N150P/N210P/N220P
/0/0 memory 103KiB BIOS
/0/4 processor Intel(R) Atom(TM) CPU N450 @ 1.66GHz
/0/4/5 memory 16KiB L1 cache
/0/4/6 memory 512KiB L2 cache
/0/4/1.1 processor Logical CPU
/0/4/1.2 processor Logical CPU
/0/e memory 1GiB System Memory
/0/e/0 memory 1GiB SODIMM DDR2 Synchronous 667 MHz (1,5 ns)
/0/100 bridge Atom Processor D4xx/D5xx/N4xx/N5xx DMI Bridge
/0/100/2 display Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller
/0/100/2.1 display Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller
/0/100/1b multimedia NM10/ICH7 Family High Definition Audio Controller
/0/100/1c bridge NM10/ICH7 Family PCI Express Port 1
/0/100/1c/0 network BCM4313 802.11bgn Wireless Network Adapter
/0/100/1c.1 bridge NM10/ICH7 Family PCI Express Port 2
/0/100/1c.2 bridge NM10/ICH7 Family PCI Express Port 3
/0/100/1c.2/0 eth0 network 88E8040 PCI-E Fast Ethernet Controller
/0/100/1c.3 bridge NM10/ICH7 Family PCI Express Port 4
/0/100/1d bus NM10/ICH7 Family USB UHCI Controller #1
/0/100/1d.1 bus NM10/ICH7 Family USB UHCI Controller #2
/0/100/1d.2 bus NM10/ICH7 Family USB UHCI Controller #3
/0/100/1d.3 bus NM10/ICH7 Family USB UHCI Controller #4
/0/100/1d.7 bus NM10/ICH7 Family USB2 EHCI Controller
/0/100/1e bridge 82801 Mobile PCI Bridge
/0/100/1f bridge NM10 Family LPC Controller
/0/100/1f.2 storage NM10/ICH7 Family SATA Controller [AHCI mode]
/0/100/1f.3 bus NM10/ICH7 Family SMBus Controller
/0/1 scsi0 storage
/0/1/0.0.0 /dev/sda disk 120GB KINGSTON SV300S3
/0/1/0.0.0/1 /dev/sda1 volume 27GiB EXT4 volume
/0/1/0.0.0/2 /dev/sda2 volume 83GiB EXT4 volume
/1 system
/2 wlan0 network Wireless interface

$ lspci

00:00.0 Host bridge: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx DMI Bridge
00:02.0 VGA compatible controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller
00:02.1 Display controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller
00:1b.0 Audio device: Intel Corporation NM10/ICH7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation NM10/ICH7 Family PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation NM10/ICH7 Family PCI Express Port 2 (rev 02)
00:1c.2 PCI ...

To post a comment you must log in.